> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/3.1/api/csharp/yarn.unity/yarn.unity.lineadvancer/yarn.unity.lineadvancer.advancerequestsbeforecancellingline.md).

# advanceRequestsBeforeCancellingLine

Field in [LineAdvancer](/3.1/api/csharp/yarn.unity/yarn.unity.lineadvancer.md)

## Summary

The number of times that a 'hurry up' signal occurs before the line advancer requests that the next line be shown.

```csharp
public int advanceRequestsBeforeCancellingLine = 2;
```

## See Also

* [LineAdvancer.multiAdvanceIsCancel](/3.1/api/csharp/yarn.unity/yarn.unity.lineadvancer/yarn.unity.lineadvancer.multiadvanceiscancel.md): If `true` , repeatedly signalling that the line should be hurried up will cause the line advancer to request that the next line be shown.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/3.1/api/csharp/yarn.unity/yarn.unity.lineadvancer/yarn.unity.lineadvancer.advancerequestsbeforecancellingline.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
